### Constructor

# Gtk NamedActionnew

#### Declaration [src]

    GtkShortcutAction*
    gtk_named_action_new (
      const char* name
    )

#### Description [src]

Creates an action that when activated, activates the named action on the widget.

It also passes the given arguments to it.

See `gtk_widget_insert_action_group()` for how to add actions to widgets.

#### Parameters

`name`

  Type: `const char*`

  The detailed name of the action.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkNamedAction`

A new `GtkShortcutAction`

The caller of the function takes ownership of the data, and is responsible for freeing it.